package com.fjhx.xmhjc.controller.open;

import com.fjhx.xmhjc.entity.about.vo.AboutUsBootInfoVo;
import com.fjhx.xmhjc.entity.about.vo.AboutUsBasicInfoVo;
import com.fjhx.xmhjc.service.about.AboutUsBaseInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * 关于我们-基础信息 开放前端控制器
 *
 * @author lqh
 * @since 2023-11-12
 */
@RestController
@RequestMapping("/open/aboutUsBaseInfo")
public class OpenAboutUsBaseInfoController {

    @Autowired
    private AboutUsBaseInfoService aboutUsBaseInfoService;

    /**
     * 关于我们-公司简介
     */
    @PostMapping("/detailDefaultByOpen")
    public AboutUsBasicInfoVo detailDefault() {
        return aboutUsBaseInfoService.detailDefaultByOpen();
    }

    /**
     * 关于我们-底部信息
     */
    @PostMapping("/detailBootInfoByOpen")
    public AboutUsBootInfoVo detailBootInfoByOpen() {
        return aboutUsBaseInfoService.detailBootInfoByOpen();
    }





}
