package com.fjhx.xmhjc.controller.open;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.xmhjc.entity.about.dto.AboutUsHonorDto;
import com.fjhx.xmhjc.entity.about.dto.AboutUsHonorSelectDto;
import com.fjhx.xmhjc.entity.about.vo.AboutUsHonorVo;
import com.fjhx.xmhjc.service.about.AboutUsHonorService;
import com.ruoyi.common.core.domain.BaseSelectDto;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * 关于我们-荣誉资质 前端控制器
 *
 * @author lqh
 * @since 2023-11-13
 */
@RestController
@RequestMapping("/open/aboutUsHonor")
public class OpenAboutUsHonorController {

    @Autowired
    private AboutUsHonorService aboutUsHonorService;

    /**
     * 关于我们-荣誉资质列表
     */
    @PostMapping("/listByOpen")
    public List<AboutUsHonorVo> listByOpen() {
        return aboutUsHonorService.getListByOpen();
    }

}
