package com.fjhx.xmhjc.mapper.about;

import com.fjhx.xmhjc.entity.about.po.AboutUsHonor;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.xmhjc.entity.about.vo.AboutUsHonorVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 关于我们-荣誉资质 Mapper 接口
 * </p>
 *
 * @author lqh
 * @since 2023-11-13
 */
public interface AboutUsHonorMapper extends BaseMapper<AboutUsHonor> {

    /**
     * 关于我们-荣誉资质列表
     */
    List<AboutUsHonorVo> getList(@Param("ew") IWrapper<AboutUsHonor> wrapper);

    /**
     * 关于我们-荣誉资质分页
     */
    Page<AboutUsHonorVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<AboutUsHonor> wrapper);

}
